import request from "@/utils/httpRequest";
import { FINANCE_PATH as prefix } from "../../AppPath";

export default class ReportCancellApplyArchivedService {
  findList (params) {
    return request({
      url: prefix + '/cwProjectReportArchivedCancell/findList',
      method: 'get',
      params: params
    })
  }
  queryById (id) {
    return request({
      url: prefix + '/cwProjectReportArchivedCancell/queryById',
      method: 'get',
      params: {id: id}
    })
  }
  saveForm (inputForm) {
    return request({
      url: prefix + `/cwProjectReportArchivedCancell/saveForm`,
      method: 'post',
      data: inputForm
    })
  }
  updateStatusById (data) {
    return request({
      url: prefix + '/cwProjectReportArchivedCancell/updateStatusById',
      method: 'post',
      data: data
    })
  }
  findByContractInfoId (id) {
    return request({
      url: prefix + '/cwProjectReportArchivedCancell/findByContractInfoId',
      method: 'get',
      params: {id: id}
    })
  }

  exportExcel (params) {
    return request({
      url: prefix + '/cwProjectReportArchivedCancell/export',
      method: 'get',
      params: params,
      responseType: 'blob'
    })
  }
}
